Bug 22942 - Mageia 6 cannot mount some Windows 10 formatted NTFS partitions
Summary: Mageia 6 cannot mount some Windows 10 formatted NTFS partitions
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK MGA6-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2018-04-22 17:38 CEST by José Jorge
Modified: 2018-05-29 21:42 CEST (History)
9 users (show)

See Also:
Source RPM: ntfs-3g
CVE:
Status comment:


Attachments

Description José Jorge 2018-04-22 17:38:30 CEST
According to an upstream bug report, this was fixed in 2017.3.23 version.

I am submitting this version to updates testing to test by myself.
Comment 1 Dave Hodgins 2018-04-26 23:52:33 CEST
Note that installing this update requires removal of testdisk.

$ urpmq --requires testdisk|grep ntfs
libntfs-3g.so.87()(64bit)

CC: (none) => davidwhodgins

Comment 2 José Jorge 2018-04-27 11:44:18 CEST
(In reply to Dave Hodgins from comment #1)
> Note that installing this update requires removal of testdisk.
> 
> $ urpmq --requires testdisk|grep ntfs
> libntfs-3g.so.87()(64bit)

Yes, looks like this package was badly libified.

I am trying to make this better in cauldron, but for 6 it is too late... maybe I should rebuild testdisk?
Comment 3 Dave Hodgins 2018-04-28 08:41:37 CEST
Also partclone ...
The following packages have to be removed for others to be upgraded:
clonezilla-3.19.7-1.1.mga6.x86_64
 (due to missing partclone)
partclone-0.3.5a-1.mga6.x86_64
 (due to missing libntfs-3g.so.87()(64bit)) (y/N)

Not sure how to find all of the packages that require libntfs-3g.so.87 as
"urpmq --whatrequires" expects a package name, not a file name.
Comment 4 Morgan Leijström 2018-05-15 17:12:54 CEST
We can add photorec to the list;

As a test i enabled all updates testing repos and the updater complained:

Följande paket måste tas bort för att andra ska bli uppdaterade:
partclone-0.3.5a-1.mga6.x86_64
 (för att libntfs-3g.so.87()(64bit) saknas)
photorec-7.0-4.mga6.x86_64
 (för att libntfs-3g.so.87()(64bit) saknas)
testdisk-7.0-4.mga6.x86_64
 (för att libntfs-3g.so.87()(64bit) saknas)

CC: (none) => fri

Comment 5 José Jorge 2018-05-15 18:03:40 CEST
> We can add photorec to the list;

Yes, it is the same srpm and testdisk. I have pushed a libified ntfs-3g package, then I will rebuild this two deps.

Status: NEW => ASSIGNED

Comment 6 José Jorge 2018-05-15 19:01:45 CEST
Suggested advisory :

Updated ntfs-3g fix problem of mounting ntfs partitions formatted with recent windows releases. Some tools needed a rebuild as they were linked against ntfs-3g : partclone, testdisk and photorec.

SRPMS:
ntfs-3g-2017.3.23-2.mga6.srpm
testdisk-7.0-4.1.mga6.srpm
partclone-0.3.11-1.mga6.srpm

RPMS:
ntfs-3g-2017.3.23-2.mga6.x86_64.rpm
lib64ntfs-3g88-2017.3.23-2.mga6.x86_64.rpm
lib64ntfs-3g-devel-2017.3.23-2.mga6.x86_64.rpm

testdisk-7.0-4.1.mga6.i586.rpm
photorec-7.0-4.1.mga6.i586.rpm

partclone-0.3.11-1.mga6.x86_64.rpm

Assignee: lists.jjorge => qa-bugs
CC: (none) => lists.jjorge

Comment 7 Thomas Andrews 2018-05-16 14:44:38 CEST
I don't do Windows 10, but I have used clonezilla. 

After installing the above ntfs-3g and partclone packages, clonezilla still runs. I did not have anything to clone to at the moment, so I didn't proceed beyond the first couple of steps, but I saw no regressions there.

CC: (none) => andrewsfarm

Comment 8 Thomas Andrews 2018-05-16 15:32:15 CEST
I'm also not having any trouble mounting an NTFS drive that was formatted by a Homeworx PVR and playing the videos on that drive with my HP 6550b laptop, but then I didn't have any trouble doing that before.
Comment 9 Maurice Batey 2018-05-16 15:59:06 CEST
I also had this problem with Mageia-6/Windows10 recently, and as temporary fix mounted them 'ro'.

CC: (none) => maurice

Comment 10 Martin Whitaker 2018-05-17 09:47:08 CEST
@José, is https://bugzilla.redhat.com/show_bug.cgi?id=1527231 the bug being fixed by this update?

CC: (none) => mageia

Comment 11 Herman Viaene 2018-05-18 20:30:26 CEST
MGA6-64 on Lenovo B50 Plasma.
Laptop has Win10, M5 instance and 2 M6 instances.
I could mount all Win10 partitions in MCC Local Disks and I could see all folders and files.
I unmounted all Win10 partitions thereafter.
No installation issues for update.
I could mount all Win10 partitions again and see the contents.
So OK for me.

CC: (none) => herman.viaene

Comment 12 José Jorge 2018-05-21 10:39:56 CEST
(In reply to Martin Whitaker from comment #10)
> @José, is https://bugzilla.redhat.com/show_bug.cgi?id=1527231 the bug being
> fixed by this update?

It wasn't, but as it seems also interesting, I have added the patch.
So for ntfs-3g the RPMS are now -3 instead of -2.
Comment 13 Thomas Andrews 2018-05-26 03:51:02 CEST
Have installed the new rpms, and they still work for me, on both arches.

OKing, and validating. Suggested advisory in Comment 6.

Whiteboard: (none) => MGA6-64-OK MGA6-32-OK
Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Thomas Backlund 2018-05-29 21:04:26 CEST

CC: (none) => tmb
Keywords: (none) => advisory

Comment 14 Mageia Robot 2018-05-29 21:42:21 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0103.html

Resolution: (none) => FIXED
Status: ASSIGNED => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.